# Learn more about services, parameters and containers at
# https://symfony.com/doc/current/service_container.html
parameters:

services:
    # default configuration for services in *this* file
    _defaults:
        # automatically injects dependencies in your services
        autowire: true
        # automatically registers your services as commands, event subscribers, etc.
        autoconfigure: true
        # this means you cannot fetch services directly from the container via $container->get()
        # if you need to do this, you can override this setting on individual services
        public: false

    Symfony\Component\Ldap\Ldap:
        arguments: ['@Symfony\Component\Ldap\Adapter\ExtLdap\Adapter']
    Symfony\Component\Ldap\Adapter\ExtLdap\Adapter:
        arguments:
            -   host: '%ldap_host%'
                port: '%ldap_port%'
                encryption: '%ldap_starttls%'
                options:
                    protocol_version: 3
                    referrals: false

    fos_rest.exception_listener:
        class: Telnowedge\BaseBundle\EventListener\ExceptionListener
        arguments: ['@monolog.logger']
